function [ret,x0,str,ts,xts]=bbbbbest(t,x,u,flag);
%BBBBBEST	is the M-file description of the SIMULINK system named BBBBBEST.
%	The block-diagram can be displayed by typing: BBBBBEST.
%
%	SYS=BBBBBEST(T,X,U,FLAG) returns depending on FLAG certain
%	system values given time point, T, current state vector, X,
%	and input vector, U.
%	FLAG is used to indicate the type of output to be returned in SYS.
%
%	Setting FLAG=1 causes BBBBBEST to return state derivatives, FLAG=2
%	discrete states, FLAG=3 system outputs and FLAG=4 next sample
%	time. For more information and other options see SFUNC.
%
%	Calling BBBBBEST with a FLAG of zero:
%	[SIZES]=BBBBBEST([],[],[],0),  returns a vector, SIZES, which
%	contains the sizes of the state vector and other parameters.
%		SIZES(1) number of states
%		SIZES(2) number of discrete states
%		SIZES(3) number of outputs
%		SIZES(4) number of inputs
%		SIZES(5) number of roots (currently unsupported)
%		SIZES(6) direct feedthrough flag
%		SIZES(7) number of sample times
%
%	For the definition of other parameters in SIZES, see SFUNC.
%	See also, TRIM, LINMOD, LINSIM, EULER, RK23, RK45, ADAMS, GEAR.

% Note: This M-file is only used for saving graphical information;
%       after the model is loaded into memory an internal model
%       representation is used.

% the system will take on the name of this mfile:
sys = mfilename;
new_system(sys)
simver(1.3)
if (0 == (nargin + nargout))
     set_param(sys,'Location',[4,61,1259,943])
     open_system(sys)
end;
set_param(sys,'algorithm',     'RK-45')
set_param(sys,'Start time',    'instant_injection')
set_param(sys,'Stop time',     'instant_injection+6100')
set_param(sys,'Min step size', '1')
set_param(sys,'Max step size', '2')
set_param(sys,'Relative error','1e-3')
set_param(sys,'Return vars',   '')
set_param(sys,'Nonreal-time algorithm','n')

add_block('built-in/Clock',[sys,'/','Clock1'])
set_param([sys,'/','Clock1'],...
		'BackGround',7,...
		'hide name',0,...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'position',[1045,286,1130,374])


%     Subsystem  'Extras9'.

new_system([sys,'/','Extras9'])
set_param([sys,'/','Extras9'],'Location',[4,42,1012,678])
set_param([sys,'/','Extras9'],...
		'Mask Display','Diffrence\nchamp rel, champ pulse\nsimple',...
		'Mask Dialogue','eval(''plot(temps(110:length(temps)),champ_reel(110:length(temps))-champ1(110:length(temps)));grid;gcf'')')


%     Finished composite block 'Extras9'.

set_param([sys,'/','Extras9'],...
		'ForeGround',1,...
		'BackGround',0,...
		'hide name',0,...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'Font Size',14,...
		'position',[35,70,260,166])

add_block('built-in/Note',[sys,'/',['SIMULATION DE MISE AU POINT DU CHAMP MAGNETIQUE  PULSE',13,'ET DE LA DERIVEE PULSEE DU CHAMP MAGNETIQUE']])
set_param([sys,'/',['SIMULATION DE MISE AU POINT DU CHAMP MAGNETIQUE  PULSE',13,'ET DE LA DERIVEE PULSEE DU CHAMP MAGNETIQUE']],...
		'ForeGround',3,...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'Font Size',22)
set_param([sys,'/',['SIMULATION DE MISE AU POINT DU CHAMP MAGNETIQUE  PULSE',13,'ET DE LA DERIVEE PULSEE DU CHAMP MAGNETIQUE']],...
		'position',[570,5,575,10])


%     Subsystem  'Extras4'.

new_system([sys,'/','Extras4'])
set_param([sys,'/','Extras4'],'Location',[4,42,1012,678])
set_param([sys,'/','Extras4'],...
		'Mask Display','Drive de B pulse\nsimple',...
		'Mask Dialogue','eval(''plot(temps,derb_chapeau);grid;shg'')')


%     Finished composite block 'Extras4'.

set_param([sys,'/','Extras4'],...
		'ForeGround',1,...
		'BackGround',0,...
		'hide name',0,...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'Font Size',14,...
		'position',[40,170,255,261])


%     Subsystem  'Extras3'.

new_system([sys,'/','Extras3'])
set_param([sys,'/','Extras3'],'Location',[4,42,1012,678])
set_param([sys,'/','Extras3'],...
		'Mask Display','Courbe\n drive B\nmesure',...
		'Mask Dialogue','eval(''plot(temps,derb_chapeau);grid;gcf'')')


%     Finished composite block 'Extras3'.

set_param([sys,'/','Extras3'],...
		'ForeGround',7,...
		'BackGround',3,...
		'hide name',0,...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'Font Size',14,...
		'position',[265,75,480,166])


%     Subsystem  'Extras10'.

new_system([sys,'/','Extras10'])
set_param([sys,'/','Extras10'],'Location',[4,42,1012,678])
set_param([sys,'/','Extras10'],...
		'Mask Display','Comparaison\n\ndes drives',...
		'Mask Dialogue','eval(''plot(temps,derb_chapeau,temps,derBreel);grid;gcf'')')


%     Finished composite block 'Extras10'.

set_param([sys,'/','Extras10'],...
		'ForeGround',7,...
		'BackGround',3,...
		'hide name',0,...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'Font Size',14,...
		'position',[265,180,480,271])


%     Subsystem  'Extras5'.

new_system([sys,'/','Extras5'])
set_param([sys,'/','Extras5'],'Location',[4,42,1012,678])
set_param([sys,'/','Extras5'],...
		'Mask Display','Courbe de la\n\ndrive relle',...
		'Mask Dialogue','eval(''plot(temps,derBreel);grid;shg'')')


%     Finished composite block 'Extras5'.

set_param([sys,'/','Extras5'],...
		'ForeGround',7,...
		'BackGround',3,...
		'hide name',0,...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'Font Size',14,...
		'position',[490,80,705,171])


%     Subsystem  'Extras13'.

new_system([sys,'/','Extras13'])
set_param([sys,'/','Extras13'],'Location',[4,42,1012,678])
set_param([sys,'/','Extras13'],...
		'Mask Display','Courbe\n drive B\nlinarise',...
		'Mask Dialogue','eval(''plot(temps(10:length(temps)),derb_lin(10:length(temps)));grid;gcf'')')


%     Finished composite block 'Extras13'.

set_param([sys,'/','Extras13'],...
		'ForeGround',7,...
		'BackGround',3,...
		'hide name',0,...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'Font Size',14,...
		'position',[490,180,705,271])


%     Subsystem  'Extras6'.

new_system([sys,'/','Extras6'])
set_param([sys,'/','Extras6'],'Location',[4,42,1012,678])
set_param([sys,'/','Extras6'],...
		'Mask Display','Courbe du champ\n\n pulse linaris',...
		'Mask Dialogue','eval(''plot(temps,champ_pulse);grid;shg'')')


%     Finished composite block 'Extras6'.

set_param([sys,'/','Extras6'],...
		'ForeGround',1,...
		'BackGround',3,...
		'hide name',0,...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'Font Size',14,...
		'position',[715,80,935,176])


%     Subsystem  'Extras8'.

new_system([sys,'/','Extras8'])
set_param([sys,'/','Extras8'],'Location',[4,42,1012,678])
set_param([sys,'/','Extras8'],...
		'Mask Display','Les courbes\nchamp pulse linaris\nchamp rel',...
		'Mask Dialogue','eval(''plot(temps,champ_pulse,temps,champ_reel);grid;shg'')')


%     Finished composite block 'Extras8'.

set_param([sys,'/','Extras8'],...
		'ForeGround',1,...
		'BackGround',3,...
		'hide name',0,...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'Font Size',14,...
		'position',[720,185,945,271])


%     Subsystem  'Extras7'.

new_system([sys,'/','Extras7'])
set_param([sys,'/','Extras7'],'Location',[4,42,1012,678])
set_param([sys,'/','Extras7'],...
		'Mask Display','Diffrence\nchamp rel, champ pulse\nsimple',...
		'Mask Dialogue','eval(''plot(temps(110:length(temps)),champ_reel(110:length(temps),1:3)-champ_pulse(110:length(temps),1:3));grid;gcf'')')


%     Finished composite block 'Extras7'.

set_param([sys,'/','Extras7'],...
		'ForeGround',1,...
		'BackGround',3,...
		'hide name',0,...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'Font Size',14,...
		'position',[940,80,1165,176])

add_block('built-in/Note',[sys,'/','Calcul t-nT'])
set_param([sys,'/','Calcul t-nT'],...
		'hide name',0,...
		'position',[695,620,700,625])

add_block('built-in/Product',[sys,'/','Product'])
set_param([sys,'/','Product'],...
		'hide name',0,...
		'position',[820,462,845,558])

add_block('built-in/Note',[sys,'/',['Champ magntique',13,'terrestre',13,'(repre orbital)']])
set_param([sys,'/',['Champ magntique',13,'terrestre',13,'(repre orbital)']],...
		'position',[215,465,220,470])

add_block('built-in/MATLAB Fcn',[sys,'/','MATLAB Fcn3'])
set_param([sys,'/','MATLAB Fcn3'],...
		'hide name',0,...
		'MATLAB Fcn','champmgn(u)',...
		'Output Width','3',...
		'Mask Display','CHAMP MAGNETIQUE\nREPERE ORBITAL',...
		'position',[145,404,300,456])

add_block('built-in/Derivative',[sys,'/',['Drive de',13,'B relle']])
set_param([sys,'/',['Drive de',13,'B relle']],...
		'position',[335,487,390,523])

add_block('built-in/To Workspace',[sys,'/','To Workspace6'])
set_param([sys,'/','To Workspace6'],...
		'hide name',0,...
		'mat-name','derBreel',...
		'buffer','20000',...
		'position',[420,524,525,546])

add_block('built-in/Sum',[sys,'/','Sum'])
set_param([sys,'/','Sum'],...
		'hide name',0,...
		'position',[885,359,910,561])

add_block('built-in/To Workspace',[sys,'/','To Workspace5'])
set_param([sys,'/','To Workspace5'],...
		'hide name',0,...
		'mat-name','champ_pulse',...
		'buffer','20000',...
		'position',[970,443,1090,477])


%     Subsystem  'CHAMP MESURE'.

new_system([sys,'/','CHAMP MESURE'])
set_param([sys,'/','CHAMP MESURE'],'Location',[4,274,1178,1003])

add_block('built-in/Sum',[sys,'/','CHAMP MESURE/Sum'])
set_param([sys,'/','CHAMP MESURE/Sum'],...
		'hide name',0,...
		'inputs','+-',...
		'position',[405,224,425,346])

add_block('built-in/MATLAB Fcn',[sys,'/',['CHAMP MESURE/Partie entire ',13,'de (t-tinj)T',13,' X par T1']])
set_param([sys,'/',['CHAMP MESURE/Partie entire ',13,'de (t-tinj)T',13,' X par T1']],...
		'MATLAB Fcn','fix(u/T)*T',...
		'Output Width','1',...
		'position',[295,298,355,332])

add_block('built-in/Note',[sys,'/','CHAMP MESURE/t - tinj - nT'])
set_param([sys,'/','CHAMP MESURE/t - tinj - nT'],...
		'position',[515,260,520,265])

add_block('built-in/Sum',[sys,'/','CHAMP MESURE/Sum3'])
set_param([sys,'/','CHAMP MESURE/Sum3'],...
		'hide name',0,...
		'inputs','+-',...
		'position',[225,277,250,353])

add_block('built-in/Constant',[sys,'/','CHAMP MESURE/Constant3'])
set_param([sys,'/','CHAMP MESURE/Constant3'],...
		'hide name',0,...
		'Value','instant_injection',...
		'position',[95,324,200,346])

add_block('built-in/Note',[sys,'/','CHAMP MESURE/Calcul t-nT'])
set_param([sys,'/','CHAMP MESURE/Calcul t-nT'],...
		'hide name',0,...
		'position',[390,375,395,380])

add_block('built-in/MATLAB Fcn',[sys,'/',['CHAMP MESURE/Partie',13,'entire n1']])
set_param([sys,'/',['CHAMP MESURE/Partie',13,'entire n1']],...
		'hide name',0,...
		'MATLAB Fcn','storcham(u)',...
		'Output Width','3',...
		'position',[705,148,765,182])

add_block('built-in/Outport',[sys,'/','CHAMP MESURE/out_1'])
set_param([sys,'/','CHAMP MESURE/out_1'],...
		'position',[810,155,830,175])

add_block('built-in/To Workspace',[sys,'/','CHAMP MESURE/To Workspace3'])
set_param([sys,'/','CHAMP MESURE/To Workspace3'],...
		'mat-name','champ1',...
		'buffer','20000',...
		'position',[810,207,860,223])

add_block('built-in/Relational Operator',[sys,'/',['CHAMP MESURE/Relational',13,'Operator']])
set_param([sys,'/',['CHAMP MESURE/Relational',13,'Operator']],...
		'hide name',0,...
		'position',[575,193,600,317])

add_block('built-in/Note',[sys,'/','CHAMP MESURE/Entre de B(t) //xyz '])
set_param([sys,'/','CHAMP MESURE/Entre de B(t) //xyz '],...
		'position',[90,115,95,120])

add_block('built-in/Note',[sys,'/',['CHAMP MESURE/MESURE ECHANTILLONEE DU CHAMP',13,'SUR LA PERIODE N, AU TEMPS t-instant_ injection +Ta//2']])
set_param([sys,'/',['CHAMP MESURE/MESURE ECHANTILLONEE DU CHAMP',13,'SUR LA PERIODE N, AU TEMPS t-instant_ injection +Ta//2']],...
		'ForeGround',3,...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'Font Size',18)
set_param([sys,'/',['CHAMP MESURE/MESURE ECHANTILLONEE DU CHAMP',13,'SUR LA PERIODE N, AU TEMPS t-instant_ injection +Ta//2']],...
		'position',[595,20,600,25])

add_block('built-in/Note',[sys,'/',['CHAMP MESURE/Entre du champ en axes satellite ',13,' l''instant t de la simulation',13,'']])
set_param([sys,'/',['CHAMP MESURE/Entre du champ en axes satellite ',13,' l''instant t de la simulation',13,'']],...
		'position',[305,135,310,140])

add_block('built-in/Note',[sys,'/','CHAMP MESURE/Sortie de t - tinj -nT'])
set_param([sys,'/','CHAMP MESURE/Sortie de t - tinj -nT'],...
		'position',[805,320,810,325])

add_block('built-in/Note',[sys,'/','CHAMP MESURE/Sortie champ B chapeau'])
set_param([sys,'/','CHAMP MESURE/Sortie champ B chapeau'],...
		'position',[830,115,835,120])

add_block('built-in/Outport',[sys,'/','CHAMP MESURE/out_2'])
set_param([sys,'/','CHAMP MESURE/out_2'],...
		'Port','2',...
		'position',[805,280,825,300])

add_block('built-in/Constant',[sys,'/','CHAMP MESURE/Constant1'])
set_param([sys,'/','CHAMP MESURE/Constant1'],...
		'hide name',0,...
		'Value','Ta/2',...
		'position',[490,214,525,236])

add_block('built-in/Inport',[sys,'/','CHAMP MESURE/in_1'])
set_param([sys,'/','CHAMP MESURE/in_1'],...
		'position',[45,145,65,165])

add_block('built-in/Clock',[sys,'/','CHAMP MESURE/Clock2'])
set_param([sys,'/','CHAMP MESURE/Clock2'],...
		'hide name',0,...
		'position',[40,275,80,315])

add_block('built-in/Note',[sys,'/',['CHAMP MESURE/Le temps courant de la simulation',13,'commence  l''instant d''injection']])
set_param([sys,'/',['CHAMP MESURE/Le temps courant de la simulation',13,'commence  l''instant d''injection']],...
		'Font Size',14,...
		'position',[140,210,145,215])

add_block('built-in/Mux',[sys,'/','CHAMP MESURE/Mux1'])
set_param([sys,'/','CHAMP MESURE/Mux1'],...
		'inputs','[3 1]',...
		'position',[645,146,675,179])
add_line([sys,'/','CHAMP MESURE'],[360,315;400,315])
add_line([sys,'/','CHAMP MESURE'],[70,155;640,155])
add_line([sys,'/','CHAMP MESURE'],[680,165;700,165])
add_line([sys,'/','CHAMP MESURE'],[770,165;805,165])
add_line([sys,'/','CHAMP MESURE'],[605,255;630,255;640,170])
add_line([sys,'/','CHAMP MESURE'],[790,165;790,215;805,215])
add_line([sys,'/','CHAMP MESURE'],[530,225;570,225])
add_line([sys,'/','CHAMP MESURE'],[205,335;220,335])
add_line([sys,'/','CHAMP MESURE'],[85,295;220,295])
add_line([sys,'/','CHAMP MESURE'],[255,315;290,315])
add_line([sys,'/','CHAMP MESURE'],[275,315;275,255;400,255])
add_line([sys,'/','CHAMP MESURE'],[430,285;570,285])
add_line([sys,'/','CHAMP MESURE'],[625,255;630,255;630,290;800,290])
set_param([sys,'/','CHAMP MESURE'],...
		'Mask Display','CHAMP MESURE\n\n periode n')


%     Finished composite block 'CHAMP MESURE'.

set_param([sys,'/','CHAMP MESURE'],...
		'Font Name','Arial',...
		'position',[585,392,720,468])

add_block('built-in/Note',[sys,'/','B(n)'])
set_param([sys,'/','B(n)'],...
		'position',[815,385,820,390])

add_block('built-in/Note',[sys,'/',['NB : La drive seconde est considre constante sur la priode',13,'Elle est recalcule  chaque priode']])
set_param([sys,'/',['NB : La drive seconde est considre constante sur la priode',13,'Elle est recalcule  chaque priode']],...
		'position',[250,705,255,710])


%     Subsystem  'Extras2'.

new_system([sys,'/','Extras2'])
set_param([sys,'/','Extras2'],'Location',[4,42,1012,678])
set_param([sys,'/','Extras2'],...
		'Mask Display','Courbe de Breel',...
		'Mask Dialogue','eval(''plot(temps,champ_reel);grid;gcf'')')


%     Finished composite block 'Extras2'.

set_param([sys,'/','Extras2'],...
		'ForeGround',4,...
		'BackGround',6,...
		'hide name',0,...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'Font Size',14,...
		'position',[935,565,1150,656])


%     Subsystem  'DERIVEE MESUREE'.

new_system([sys,'/','DERIVEE MESUREE'])
set_param([sys,'/','DERIVEE MESUREE'],'Location',[131,246,1237,938])
open_system([sys,'/','DERIVEE MESUREE'])

add_block('built-in/Note',[sys,'/',['DERIVEE MESUREE/derb_chapeau est la valeur constante conserve aprs la mesure',13,'']])
set_param([sys,'/',['DERIVEE MESUREE/derb_chapeau est la valeur constante conserve aprs la mesure',13,'']],...
		'ForeGround',3,...
		'Font Weight','bold',...
		'Font Size',12,...
		'position',[420,45,425,50])

add_block('built-in/Note',[sys,'/','DERIVEE MESUREE/derb_lin est la valeur linarise conserve aprs la mesure'])
set_param([sys,'/','DERIVEE MESUREE/derb_lin est la valeur linarise conserve aprs la mesure'],...
		'ForeGround',3,...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'Font Size',12,...
		'position',[405,75,410,80])

add_block('built-in/Note',[sys,'/',['DERIVEE MESUREE/MESURE ECHANTILLONEE DE LA DERIVEE DU CHAMP',13,'SUR LA PERIODE N, AU TEMPS to+Ta']])
set_param([sys,'/',['DERIVEE MESUREE/MESURE ECHANTILLONEE DE LA DERIVEE DU CHAMP',13,'SUR LA PERIODE N, AU TEMPS to+Ta']],...
		'ForeGround',3,...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'Font Size',14)
set_param([sys,'/',['DERIVEE MESUREE/MESURE ECHANTILLONEE DE LA DERIVEE DU CHAMP',13,'SUR LA PERIODE N, AU TEMPS to+Ta']],...
		'position',[425,0,430,5])

add_block('built-in/MATLAB Fcn',[sys,'/',['DERIVEE MESUREE/Partie',13,'entire n3']])
set_param([sys,'/',['DERIVEE MESUREE/Partie',13,'entire n3']],...
		'hide name',0,...
		'MATLAB Fcn','stor_B2(u)',...
		'Output Width','3',...
		'position',[705,408,765,442])

add_block('built-in/Note',[sys,'/',['DERIVEE MESUREE/drive seconde',13,'approxime']])
set_param([sys,'/',['DERIVEE MESUREE/drive seconde',13,'approxime']],...
		'position',[540,393,545,398])

add_block('built-in/Note',[sys,'/','DERIVEE MESUREE/B(n)'])
set_param([sys,'/','DERIVEE MESUREE/B(n)'],...
		'position',[745,201,750,206])

add_block('built-in/Note',[sys,'/','DERIVEE MESUREE/t -  nT'])
set_param([sys,'/','DERIVEE MESUREE/t -  nT'],...
		'position',[535,445,540,450])

add_block('built-in/Note',[sys,'/','DERIVEE MESUREE/Sortie de t-nT'])
set_param([sys,'/','DERIVEE MESUREE/Sortie de t-nT'],...
		'position',[520,315,525,320])

add_block('built-in/Outport',[sys,'/','DERIVEE MESUREE/out_1'])
set_param([sys,'/','DERIVEE MESUREE/out_1'],...
		'position',[840,220,860,240])

add_block('built-in/To File',[sys,'/','DERIVEE MESUREE/To File'])
set_param([sys,'/','DERIVEE MESUREE/To File'],...
		'File name','derbchap.mat',...
		'Matrix name','derb_chapeau',...
		'position',[760,139,855,171])

add_block('built-in/MATLAB Fcn',[sys,'/',['DERIVEE MESUREE/Partie',13,'entire n1']])
set_param([sys,'/',['DERIVEE MESUREE/Partie',13,'entire n1']],...
		'hide name',0,...
		'MATLAB Fcn','storderB(u)',...
		'Output Width','3',...
		'position',[640,213,700,247])

add_block('built-in/Note',[sys,'/','DERIVEE MESUREE/t-nT<=Ta'])
set_param([sys,'/','DERIVEE MESUREE/t-nT<=Ta'],...
		'position',[515,295,520,300])

add_block('built-in/To Workspace',[sys,'/','DERIVEE MESUREE/To Workspace5'])
set_param([sys,'/','DERIVEE MESUREE/To Workspace5'],...
		'hide name',0,...
		'mat-name','derb_chapeau',...
		'buffer','20000',...
		'position',[755,273,875,307])

add_block('built-in/Constant',[sys,'/','DERIVEE MESUREE/Constant1'])
set_param([sys,'/','DERIVEE MESUREE/Constant1'],...
		'hide name',0,...
		'Value','Ta/2',...
		'position',[450,194,485,216])

add_block('built-in/Relational Operator',[sys,'/',['DERIVEE MESUREE/Relational',13,'Operator']])
set_param([sys,'/',['DERIVEE MESUREE/Relational',13,'Operator']],...
		'hide name',0,...
		'position',[500,173,525,297])

add_block('built-in/Mux',[sys,'/','DERIVEE MESUREE/Mux1'])
set_param([sys,'/','DERIVEE MESUREE/Mux1'],...
		'inputs','[3 1]',...
		'position',[580,211,610,244])

add_block('built-in/Product',[sys,'/','DERIVEE MESUREE/Product'])
set_param([sys,'/','DERIVEE MESUREE/Product'],...
		'position',[845,402,870,498])

add_block('built-in/Note',[sys,'/',['DERIVEE MESUREE/Sortie de la drive',13,' linarise']])
set_param([sys,'/',['DERIVEE MESUREE/Sortie de la drive',13,' linarise']],...
		'position',[1040,425,1045,430])

add_block('built-in/Sum',[sys,'/','DERIVEE MESUREE/Sum1'])
set_param([sys,'/','DERIVEE MESUREE/Sum1'],...
		'hide name',0,...
		'position',[905,309,930,496])

add_block('built-in/To Workspace',[sys,'/','DERIVEE MESUREE/To Workspace6'])
set_param([sys,'/','DERIVEE MESUREE/To Workspace6'],...
		'hide name',0,...
		'mat-name','derb_lin',...
		'buffer','20000',...
		'position',[970,386,1045,424])

add_block('built-in/Inport',[sys,'/','DERIVEE MESUREE/in_1'])
set_param([sys,'/','DERIVEE MESUREE/in_1'],...
		'position',[155,140,175,160])

add_block('built-in/Constant',[sys,'/','DERIVEE MESUREE/Constant2'])
set_param([sys,'/','DERIVEE MESUREE/Constant2'],...
		'hide name',0,...
		'Value','instant_injection',...
		'position',[95,304,200,326])

add_block('built-in/Note',[sys,'/',['DERIVEE MESUREE/Temps courant',13,'de la simulation']])
set_param([sys,'/',['DERIVEE MESUREE/Temps courant',13,'de la simulation']],...
		'position',[170,225,175,230])

add_block('built-in/Sum',[sys,'/','DERIVEE MESUREE/Sum2'])
set_param([sys,'/','DERIVEE MESUREE/Sum2'],...
		'hide name',0,...
		'inputs','+-',...
		'position',[235,257,260,333])

add_block('built-in/Inport',[sys,'/','DERIVEE MESUREE/in_2'])
set_param([sys,'/','DERIVEE MESUREE/in_2'],...
		'Port','2',...
		'position',[160,265,180,285])

add_block('built-in/MATLAB Fcn',[sys,'/',['DERIVEE MESUREE/Partie entire ',13,'de (t-tinj)T',13,' X par T']])
set_param([sys,'/',['DERIVEE MESUREE/Partie entire ',13,'de (t-tinj)T',13,' X par T']],...
		'MATLAB Fcn','fix(u/T)*T',...
		'Output Width','1',...
		'position',[310,278,370,312])

add_block('built-in/Note',[sys,'/','DERIVEE MESUREE/Temps'])
set_param([sys,'/','DERIVEE MESUREE/Temps'],...
		'position',[300,180,305,185])

add_block('built-in/Note',[sys,'/','DERIVEE MESUREE/t-tinj-nT'])
set_param([sys,'/','DERIVEE MESUREE/t-tinj-nT'],...
		'position',[470,235,475,240])

add_block('built-in/Note',[sys,'/','DERIVEE MESUREE/Sortie B_prime'])
set_param([sys,'/','DERIVEE MESUREE/Sortie B_prime'],...
		'position',[655,180,660,185])

add_block('built-in/Note',[sys,'/',['DERIVEE MESUREE/NB La mesure commence ds l''injection, pour pouvoir intervenir',13,'le plus rapidement posssible sur le tumbling']])
set_param([sys,'/',['DERIVEE MESUREE/NB La mesure commence ds l''injection, pour pouvoir intervenir',13,'le plus rapidement posssible sur le tumbling']],...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'Font Size',16)
set_param([sys,'/',['DERIVEE MESUREE/NB La mesure commence ds l''injection, pour pouvoir intervenir',13,'le plus rapidement posssible sur le tumbling']],...
		'position',[405,525,410,530])

add_block('built-in/To Workspace',[sys,'/','DERIVEE MESUREE/To Workspace7'])
set_param([sys,'/','DERIVEE MESUREE/To Workspace7'],...
		'hide name',0,...
		'mat-name','der_seconde',...
		'buffer','20000',...
		'position',[830,528,950,562])

add_block('built-in/Note',[sys,'/','DERIVEE MESUREE/Entre de dB//dt //xyz '])
set_param([sys,'/','DERIVEE MESUREE/Entre de dB//dt //xyz '],...
		'position',[300,120,305,125])

add_block('built-in/Sum',[sys,'/','DERIVEE MESUREE/Sum'])
set_param([sys,'/','DERIVEE MESUREE/Sum'],...
		'hide name',0,...
		'inputs','+-',...
		'position',[415,204,435,326])

add_block('built-in/Note',[sys,'/','DERIVEE MESUREE/nT'])
set_param([sys,'/','DERIVEE MESUREE/nT'],...
		'position',[390,270,395,275])
add_line([sys,'/','DERIVEE MESUREE'],[375,295;410,295])
add_line([sys,'/','DERIVEE MESUREE'],[440,265;495,265])
add_line([sys,'/','DERIVEE MESUREE'],[180,150;555,150;555,220;575,220])
add_line([sys,'/','DERIVEE MESUREE'],[490,205;495,205])
add_line([sys,'/','DERIVEE MESUREE'],[530,235;575,235])
add_line([sys,'/','DERIVEE MESUREE'],[615,230;635,230])
add_line([sys,'/','DERIVEE MESUREE'],[705,230;835,230])
add_line([sys,'/','DERIVEE MESUREE'],[720,230;720,290;750,290])
add_line([sys,'/','DERIVEE MESUREE'],[720,230;720,155;755,155])
add_line([sys,'/','DERIVEE MESUREE'],[615,230;615,425;700,425])
add_line([sys,'/','DERIVEE MESUREE'],[875,450;900,450])
add_line([sys,'/','DERIVEE MESUREE'],[770,425;840,425])
add_line([sys,'/','DERIVEE MESUREE'],[465,265;465,475;840,475])
add_line([sys,'/','DERIVEE MESUREE'],[725,290;725,355;900,355])
add_line([sys,'/','DERIVEE MESUREE'],[935,405;965,405])
add_line([sys,'/','DERIVEE MESUREE'],[800,425;800,545;825,545])
add_line([sys,'/','DERIVEE MESUREE'],[185,275;230,275])
add_line([sys,'/','DERIVEE MESUREE'],[205,315;230,315])
add_line([sys,'/','DERIVEE MESUREE'],[265,295;305,295])
add_line([sys,'/','DERIVEE MESUREE'],[280,295;280,235;410,235])
set_param([sys,'/','DERIVEE MESUREE'],...
		'Mask Display','DERIVEE DE B\n\nMESUREE\n\nPERIODE n')


%     Finished composite block 'DERIVEE MESUREE'.

set_param([sys,'/','DERIVEE MESUREE'],...
		'position',[585,495,720,575])

add_block('built-in/Note',[sys,'/','Drive B'])
set_param([sys,'/','Drive B'],...
		'position',[765,505,770,510])

add_block('built-in/Note',[sys,'/','t-tinj - nT'])
set_param([sys,'/','t-tinj - nT'],...
		'position',[785,455,790,460])

add_block('built-in/Note',[sys,'/','derb_chapeau'])
set_param([sys,'/','derb_chapeau'],...
		'position',[825,580,830,585])

add_block('built-in/To Workspace',[sys,'/','To Workspace4'])
set_param([sys,'/','To Workspace4'],...
		'hide name',0,...
		'mat-name','champ_reel',...
		'buffer','20000',...
		'position',[410,340,500,370])

add_block('built-in/To Workspace',[sys,'/','To Workspace11'])
set_param([sys,'/','To Workspace11'],...
		'hide name',0,...
		'mat-name','derb_lin',...
		'buffer','20000',...
		'position',[525,778,600,802])

add_block('built-in/To Workspace',[sys,'/','To Workspace10'])
set_param([sys,'/','To Workspace10'],...
		'hide name',0,...
		'mat-name','der_seconde',...
		'buffer','20000',...
		'position',[525,749,605,771])

add_block('built-in/To Workspace',[sys,'/','To Workspace2'])
set_param([sys,'/','To Workspace2'],...
		'hide name',0,...
		'mat-name','temps',...
		'buffer','20000',...
		'position',[525,721,595,739])

add_block('built-in/To Workspace',[sys,'/','To Workspace9'])
set_param([sys,'/','To Workspace9'],...
		'hide name',0,...
		'mat-name','champ_pulse',...
		'buffer','20000',...
		'position',[525,688,610,712])

add_block('built-in/To Workspace',[sys,'/','To Workspace8'])
set_param([sys,'/','To Workspace8'],...
		'hide name',0,...
		'mat-name','derBreel',...
		'buffer','20000',...
		'position',[525,659,600,681])

add_block('built-in/To Workspace',[sys,'/','To Workspace7'])
set_param([sys,'/','To Workspace7'],...
		'hide name',0,...
		'mat-name','champ_reel',...
		'buffer','20000',...
		'position',[525,627,600,653])

add_block('built-in/Note',[sys,'/','Liste des variables :'])
set_param([sys,'/','Liste des variables :'],...
		'position',[520,595,525,600])

add_block('built-in/To Workspace',[sys,'/','To Workspace12'])
set_param([sys,'/','To Workspace12'],...
		'hide name',0,...
		'mat-name','derb_chapeau',...
		'buffer','20000',...
		'position',[525,811,610,829])

add_block('built-in/Note',[sys,'/','Champ magntique rel en axes satellite'])
set_param([sys,'/','Champ magntique rel en axes satellite'],...
		'position',[730,625,735,630])

add_block('built-in/Note',[sys,'/','Drive relle du champ dans les axes satellite'])
set_param([sys,'/','Drive relle du champ dans les axes satellite'],...
		'position',[750,655,755,660])

add_block('built-in/Note',[sys,'/','Champ magntique puls, simulant la mesure faite  bord'])
set_param([sys,'/','Champ magntique puls, simulant la mesure faite  bord'],...
		'position',[785,685,790,690])

add_block('built-in/Note',[sys,'/','Temps de la simulation, commenant  instant_injection ( rappel t=0 = quateur )'])
set_param([sys,'/','Temps de la simulation, commenant  instant_injection ( rappel t=0 = quateur )'],...
		'position',[845,715,850,720])

add_block('built-in/Note',[sys,'/','Drive secondeconstante sue chaque priode de mesure'])
set_param([sys,'/','Drive secondeconstante sue chaque priode de mesure'],...
		'position',[785,745,790,750])

add_block('built-in/Note',[sys,'/','Drive approche linarise simulant la mesure de la drive  bord'])
set_param([sys,'/','Drive approche linarise simulant la mesure de la drive  bord'],...
		'position',[810,775,815,780])

add_block('built-in/Note',[sys,'/','Drive approche, pulse et constante sur la priode ( moins bonne approche que der_lin )'])
set_param([sys,'/','Drive approche, pulse et constante sur la priode ( moins bonne approche que der_lin )'],...
		'position',[885,805,890,810])


%     Subsystem  'Extras11'.

new_system([sys,'/','Extras11'])
set_param([sys,'/','Extras11'],'Location',[4,42,1012,678])
set_param([sys,'/','Extras11'],...
		'Mask Display','Drive seconde de B\n\nen fin de mesure',...
		'Mask Dialogue','eval(''plot(temps(10:length(temps)),der_seconde(10:length(temps)));grid;shg'')')


%     Finished composite block 'Extras11'.

set_param([sys,'/','Extras11'],...
		'ForeGround',1,...
		'BackGround',0,...
		'hide name',0,...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'Font Size',14,...
		'position',[105,590,320,681])

add_block('built-in/Note',[sys,'/','Temps'])
set_param([sys,'/','Temps'],...
		'position',[85,365,90,370])

add_block('built-in/To Workspace',[sys,'/','To Workspace3'])
set_param([sys,'/','To Workspace3'],...
		'hide name',0,...
		'mat-name','temps',...
		'buffer','20000',...
		'position',[180,363,245,377])

add_block('built-in/Clock',[sys,'/','Clock'])
set_param([sys,'/','Clock'],...
		'position',[30,408,75,452])


%     Subsystem  'Extras1'.

new_system([sys,'/','Extras1'])
set_param([sys,'/','Extras1'],'Location',[4,50,1012,686])
set_param([sys,'/','Extras1'],...
		'Mask Display','INITIALISATION\n\n LANCE totdatP.m',...
		'Mask Dialogue','eval(''totdatP'');')


%     Finished composite block 'Extras1'.

set_param([sys,'/','Extras1'],...
		'ForeGround',4,...
		'BackGround',6,...
		'hide name',0,...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'Font Size',14,...
		'position',[950,180,1165,271])
add_line(sys,[725,450;750,450;750,485;815,485])
add_line(sys,[850,510;880,510])
add_line(sys,[725,410;880,410])
add_line(sys,[915,460;965,460])
add_line(sys,[395,505;395,535;415,535])
add_line(sys,[725,535;815,535])
add_line(sys,[80,430;140,430])
add_line(sys,[305,430;580,430])
add_line(sys,[130,430;130,555;580,555])
add_line(sys,[305,430;305,355;405,355])
add_line(sys,[305,430;305,505;330,505])
add_line(sys,[395,505;530,505;530,515;580,515])
add_line(sys,[130,430;130,370;175,370])

drawnow

% Return any arguments.
if (nargin | nargout)
	% Must use feval here to access system in memory
	if (nargin > 3)
		if (flag == 0)
			eval(['[ret,x0,str,ts,xts]=',sys,'(t,x,u,flag);'])
		else
			eval(['ret =', sys,'(t,x,u,flag);'])
		end
	else
		[ret,x0,str,ts,xts] = feval(sys);
	end
else
	drawnow % Flash up the model and execute load callback
end
